# notation-core-go

[![Build Status](https://github.com/notaryproject/notation-core-go/actions/workflows/build.yml/badge.svg?event=push&branch=main)](https://github.com/notaryproject/notation-core-go/actions/workflows/build.yml?query=workflow%3Abuild+event%3Apush+branch%3Amain)
[![codecov](https://codecov.io/gh/notaryproject/notation-core-go/branch/main/graph/badge.svg)](https://codecov.io/gh/notaryproject/notation-core-go)
[![Go Reference](https://pkg.go.dev/badge/github.com/notaryproject/notation-core-go.svg)](https://pkg.go.dev/github.com/notaryproject/notation-core-go@main)

notation-core-go provides core crypto functionality for notation-go and implements signature generation, parsing and revocation related functionalities based on the [Notary Project specifications](https://github.com/notaryproject/specifications). It also provides validation functionality for certificate and certificate chain.

notation-core-go reached a stable release as of July 2023 and continues to be actively developed and maintained.

Please visit [README](https://github.com/notaryproject/.github/blob/main/README.md) to know more about Notary Project.

> [!NOTE]
> The Notary Project documentation is available [here](https://notaryproject.dev/docs/).

## Table of Contents
- [Documentation](#documentation)
- [Code of Conduct](#code-of-conduct)
- [License](#license)
 
## Documentation

Library documentation is available at [Go Reference](https://pkg.go.dev/github.com/notaryproject/notation-core-go).

## Code of Conduct

This project has adopted the [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md). See [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md) for further details.

## License

This project is covered under the Apache 2.0 license. You can read the license [here](LICENSE).
